# This file created by conda-build 3.19.2
# meta.yaml template originally from:
# D:\a\1\s\recipe, last modified Fri Jul 24 06:50:46 2020
# ------------------------------------------------

package:
    name: r-webgestaltr
    version: 0.4.4
source:
    sha256: d68a431a5e076c0cfdddf769ab5a6759eb0e2db68f673ba35a654c08904eeee5
    url:
        - https://cran.r-project.org/src/contrib/Archive/WebGestaltR/WebGestaltR_0.4.4.tar.gz
        - https://cran.r-project.org/src/contrib/WebGestaltR_0.4.4.tar.gz
build:
    merge_build_host: true
    number: '0'
    rpaths:
        - lib/
        - lib/R/lib/
    string: r36h796a38f_0
requirements:
    build:
        - m2-bash 4.3.042 5
        - m2-coreutils 8.25 102
        - m2-filesystem 2016.04 4
        - m2-gcc-libs 5.3.0 4
        - m2-gmp 6.1.0 3
        - m2-libbz2 1.0.6 3
        - m2-libiconv 1.14 3
        - m2-libintl 0.19.7 4
        - m2-make 4.1 5
        - m2-msys2-runtime 2.5.0.17080.65c939c 3
        - m2-sed 4.2.2 3
        - m2-zip 3.0 2
        - m2w64-binutils 2.25.1 5
        - m2w64-bzip2 1.0.6 6
        - m2w64-crt-git 5.0.0.4636.2595836 2
        - m2w64-gcc 5.3.0 6
        - m2w64-gcc-ada 5.3.0 6
        - m2w64-gcc-fortran 5.3.0 6
        - m2w64-gcc-libgfortran 5.3.0 6
        - m2w64-gcc-libs 5.3.0 7
        - m2w64-gcc-libs-core 5.3.0 7
        - m2w64-gcc-objc 5.3.0 6
        - m2w64-gmp 6.1.0 2
        - m2w64-headers-git 5.0.0.4636.c0ad18a 2
        - m2w64-isl 0.16.1 2
        - m2w64-libiconv 1.14 6
        - m2w64-libmangle-git 5.0.0.4509.2e5a9a2 2
        - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
        - m2w64-make 4.1.2351.a80a8b8 2
        - m2w64-mpc 1.0.3 3
        - m2w64-mpfr 3.1.4 4
        - m2w64-pkg-config 0.29.1 2
        - m2w64-toolchain 5.3.0 7
        - m2w64-toolchain_win-64 2.4.0 0
        - m2w64-tools-git 5.0.0.4592.90b8472 2
        - m2w64-windows-default-manifest 6.4 3
        - m2w64-winpthreads-git 5.0.0.4634.697f757 2
        - m2w64-zlib 1.2.8 10
        - msys2-conda-epoch 20160418 1
    host:
        - _r-mutex 1.0.1 anacondar_1
        - ca-certificates 2020.6.20 hecda079_0
        - cairo 1.16.0 hc79e3cf_1005
        - freetype 2.10.2 hd328e21_0
        - gettext 0.19.8.1 hb01d8f6_1002
        - glib 2.65.0 he4de6d7_0
        - icu 67.1 h33f27b4_0
        - intel-openmp 2020.1 216
        - libblas 3.8.0 16_mkl
        - libffi 3.2.1 h6538335_1007
        - libiconv 1.15 hfa6e2cd_1006
        - liblapack 3.8.0 16_mkl
        - libpng 1.6.37 hfe6a214_1
        - libxml2 2.9.10 h5d81f1c_1
        - m2w64-bwidget 1.9.10 2
        - m2w64-bzip2 1.0.6 6
        - m2w64-expat 2.1.1 2
        - m2w64-fftw 3.3.4 6
        - m2w64-flac 1.3.1 3
        - m2w64-gcc-libgfortran 5.3.0 6
        - m2w64-gcc-libs 5.3.0 7
        - m2w64-gcc-libs-core 5.3.0 7
        - m2w64-gettext 0.19.7 2
        - m2w64-gmp 6.1.0 2
        - m2w64-gsl 2.1 2
        - m2w64-icu 58.2 heb44b8b_2
        - m2w64-libiconv 1.14 6
        - m2w64-libjpeg-turbo 1.4.2 3
        - m2w64-libogg 1.3.2 3
        - m2w64-libpng 1.6.21 2
        - m2w64-libsndfile 1.0.26 2
        - m2w64-libtiff 4.0.6 2
        - m2w64-libvorbis 1.3.5 2
        - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
        - m2w64-libxml2 2.9.3 4
        - m2w64-mpfr 3.1.4 4
        - m2w64-pcre 8.38 2
        - m2w64-speex 1.2rc2 3
        - m2w64-speexdsp 1.2rc3 3
        - m2w64-tcl 8.6.5 3
        - m2w64-tk 8.6.5 3
        - m2w64-tktable 2.10 5
        - m2w64-wineditline 2.101 5
        - m2w64-xz 5.2.2 2
        - m2w64-zlib 1.2.8 10
        - mkl 2020.1 216
        - msys2-conda-epoch 20160418 1
        - openssl 1.1.1g he774522_0
        - pcre 8.44 h6538335_0
        - pixman 0.38.0 hfa6e2cd_1003
        - python 3.8.5 h5fd99cc_1_cpython
        - r-apcluster 1.4.8 r36hca4a3dc_1
        - r-askpass 1.1 r36hda5aaf8_2
        - r-assertthat 0.2.1 r36h6115d3f_2
        - r-backports 1.1.8 r36hda5aaf8_0
        - r-base 3.6.3 h588f722_3
        - r-bibtex 0.4.2.2 r36hda5aaf8_1
        - r-cli 2.0.2 r36h6115d3f_1
        - r-clipr 0.7.0 r36h6115d3f_1
        - r-codetools 0.2_16 r36h6115d3f_1002
        - r-crayon 1.3.4 r36h6115d3f_1003
        - r-curl 4.3 r36hda5aaf8_1
        - r-digest 0.6.25 r36h796a38f_2
        - r-doparallel 1.0.15 r36h6115d3f_1
        - r-dorng 1.8.2 r36h6115d3f_1
        - r-dplyr 1.0.0 r36h796a38f_0
        - r-ellipsis 0.3.1 r36hda5aaf8_0
        - r-fansi 0.4.1 r36hda5aaf8_1
        - r-foreach 1.5.0 r36h6115d3f_1
        - r-gdtools 0.2.2 r36ha5114e6_1
        - r-generics 0.0.2 r36h6115d3f_1003
        - r-glue 1.4.1 r36hda5aaf8_0
        - r-hms 0.5.3 r36h6115d3f_1
        - r-httr 1.4.2 r36h6115d3f_0
        - r-igraph 1.2.5 r36h7f2dcbc_1
        - r-iterators 1.0.12 r36h6115d3f_1
        - r-jsonlite 1.7.0 r36hda5aaf8_0
        - r-lattice 0.20_41 r36hda5aaf8_2
        - r-lifecycle 0.2.0 r36h6115d3f_1
        - r-magrittr 1.5 r36h6115d3f_1003
        - r-matrix 1.2_18 r36h0adb578_3
        - r-mime 0.9 r36hda5aaf8_1
        - r-openssl 1.4.2 r36h601d743_0
        - r-pillar 1.4.6 r36h6115d3f_0
        - r-pkgconfig 2.0.3 r36h6115d3f_1
        - r-pkgmaker 0.31.1 r36h6115d3f_1
        - r-purrr 0.3.4 r36hda5aaf8_1
        - r-r6 2.4.1 r36h6115d3f_1
        - r-rcpp 1.0.5 r36h796a38f_0
        - r-readr 1.3.1 r36h796a38f_1004
        - r-registry 0.5_1 r36h6115d3f_2
        - r-rlang 0.4.7 r36hda5aaf8_0
        - r-rngtools 1.5 r36h6115d3f_1
        - r-stringi 1.4.6 r36h796a38f_3
        - r-stringr 1.4.0 r36h6115d3f_2
        - r-svglite 1.2.3.2 r36h796a38f_0
        - r-sys 3.4 r36hda5aaf8_0
        - r-systemfonts 0.2.3 r36h487e528_0
        - r-tibble 3.0.3 r36hda5aaf8_0
        - r-tidyselect 1.1.0 r36h6115d3f_0
        - r-utf8 1.1.4 r36hda5aaf8_1003
        - r-vctrs 0.3.2 r36hda5aaf8_0
        - r-whisker 0.4 r36h6115d3f_1
        - r-withr 2.2.0 r36h6115d3f_1
        - r-xtable 1.8_4 r36h6115d3f_3
        - r-zeallot 0.1.0 r36h6115d3f_1002
        - sqlite 3.32.3 he774522_1
        - vc 14.1 h869be7e_1
        - vs2015_runtime 14.16.27012 h30e32a0_2
        - zlib 1.2.11 h2fa13f4_1006
    run:
        - m2w64-gcc-libs
        - r-apcluster
        - r-base >=3.6,<3.7.0a0
        - r-doparallel >=1.0.10
        - r-dorng
        - r-dplyr
        - r-foreach >=1.4.0
        - r-httr
        - r-igraph
        - r-jsonlite
        - r-rcpp
        - r-readr
        - r-rlang
        - r-svglite
        - r-whisker
test:
    commands:
        - '"%R%" -e "library(''WebGestaltR'')"'
about:
    home: https://github.com/bzhanglab/WebGestaltR
    license: LGPL-3.0-only
    license_family: LGPL
    license_file:
        - D:\bld\r-webgestaltr_1595573736913\_h_env/lib/R/share/licenses/LGPL-3
    summary: The web version WebGestalt <http://www.webgestalt.org> supports 12 organisms,
        354 gene identifiers and 321,251 function categories. Users can upload the
        data and functional categories with their own gene identifiers. In addition
        to the Over-Representation Analysis, WebGestalt also supports Gene Set Enrichment
        Analysis and Network Topology Analysis. The user-friendly output report allows
        interactive and efficient exploration of enrichment results. The WebGestaltR
        package not only supports all above functions but also can be integrated into
        other pipeline or simultaneously analyze multiple gene lists.
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - conda-forge/r
